Cards and payment methods
List saved cards
Lists the calling user’s active saved cards, in their saved order. Card numbers are never returned, only the first six and last four digits. Not paginated. Requires a Bearer token for a company admin, rep, or customer that resolves to a user; a company API token with no user returns 401. Admin users, company API tokens, and partner tokens also need the payment_methods view permission.
GET
/
api
/
cards
List saved cards
curl --request GET \
--url https://api.fluid.app/api/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 30271,
"full_name": "Michael Scott",
"month": 11,
"year": 2029,
"last_four_digits": "4242",
"first_six_digits": "424242",
"card_network": "visa",
"default": true,
"email": "michael.scott@dundermifflin.com",
"source": "card"
},
{
"id": 30288,
"full_name": "Michael Scott",
"month": 4,
"year": 2028,
"last_four_digits": "0005",
"first_six_digits": "378282",
"card_network": "american_express",
"default": false,
"email": null,
"source": "card"
}
]{
"message": "<string>"
}⌘I
List saved cards
curl --request GET \
--url https://api.fluid.app/api/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 30271,
"full_name": "Michael Scott",
"month": 11,
"year": 2029,
"last_four_digits": "4242",
"first_six_digits": "424242",
"card_network": "visa",
"default": true,
"email": "michael.scott@dundermifflin.com",
"source": "card"
},
{
"id": 30288,
"full_name": "Michael Scott",
"month": 4,
"year": 2028,
"last_four_digits": "0005",
"first_six_digits": "378282",
"card_network": "american_express",
"default": false,
"email": null,
"source": "card"
}
]{
"message": "<string>"
}